//
// Created by philipp on 02.12.17.
//

#include <iostream>
#include "ProtocolTest.h"
#include "LeaderVehicle.h"
#include "FollowerVehicle.h"
#include "Networking.h"

using namespace protocol;

void ::protocol::test::testStop()
{
    networking::Networking net;

    // Test if the destruction works as expected.
    {
        LeaderVehicle leader(net.getIoService(), 1);
        leader.run();
        leader.createPlatoon();
        sleep(1);
    }
    std::cout << "LEADER SUCCESS!\n";
    sleep(1);
    {
        FollowerVehicle follower(net.getIoService(), 1);
        follower.run();
        follower.createPlatoon();
        sleep(1);
    }
    std::cout << "FOLLOWER SUCCESS!\n";
}
